News:

Welcome to RetroCoders Community

Main Menu

IUP libraries on linux/ubuntu fix

Started by ron77_db, May 09, 2022, 09:13 AM

Previous topic - Next topic

ron77_db

i've downloaded IUP Version 3.27 on my ubuntu linux so I can work with IUP_FB_EDITOR IDE however the installer of IUP install to /usr/lib64 by default on my system. So you have to create this file: /etc/ld.so.conf.d/IUP.conf with this content:

/usr/lib64
(Adapt it the fit what is on your system)

Save it then run ldconfig.

All of the steps above are run with sudo.

after that IUP_FB_EDITOR IDE runs and works without the need to "sudo ldconfig /usr/lib64" everytime you want to run "./fbnp"